Subject: [netatalk-admins] Privilege problem guest vs. reg. user?

From: [email-masked] (Chris Ferebee, Ferebee)
Date: Tue, 10 Nov 1998 03:37:07 +0100

We have a server running netatalk 1.4b2+asun2.1.0a on Linux. It seems to me that the privileges are not being treated correctly in the following situation:

Client is Mac OS 8.1, AppleShare Client 3.8.

I create a file while logged in as guest. On the Linux side, it is created with owner/group nobody/nogroup rw-rw-rw-. That seems quite reasonable.

However, when I then log in as a registered user (ferebee/users) and try to rename the file using the Finder, the change doesn't stick, i.e. as soon as I type Return the filename reverts to its previous value. I can only rename the file if I log in as Guest, or if I chown the file on Linux to match my login name. Note that I have full read-write privileges on the directory that contains the file, indeed I am its owner.

Since the file is world-writeable, why can't I rename it? From a Mac perspective, I can find no justification for the observed behavior.

Sorry if this is old hat, but I'm new to the list.

Chris Ferebee
[email-masked]